Package: org.codehaus.groovy.ast

## [Java] Class PackageNode

- org.codehaus.groovy.ast.PackageNode

- Represents a package in the AST.

  Authors:
    Paul King

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PackageNode (String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getName()`
    `` | `String` | `getText()` @return the text display of this package definition
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public PackageNode(String name)

  - ### Method Detail

    - #### public String getName()

    - #### public String getText()

      Returns:
        the text display of this package definition

    - #### public void visit(GroovyCodeVisitor visitor)